This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769911 - CVE-2011-4127 kernel: possible privilege escalation via SG_IO ioctl [fedora-all]
CVE-2011-4127 kernel: possible privilege escalation via SG_IO ioctl [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4127
  Show dependency treegraph
 
Reported: 2011-12-22 12:24 EST by Petr Matousek
Modified: 2012-01-24 14:58 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.41.10-3.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 02:56:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2011-12-22 12:24:07 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=752375

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2012-01-03 09:54:40 EST
Upstream discussion:

https://lkml.org/lkml/2011/12/22/270

It seems Linus doesn't want to take the patches for 3.2 at all.  I'm somewhat inclined to agree for now.
Comment 2 Josh Boyer 2012-01-17 16:44:09 EST
The patches went into what will be 3.3, so they will be picked up when rawhide is rebased.

Paolo sent backported patches to the stable branches, but they missed the 3.1.10 cutoff (will be in 3.2.2 from what I saw).  I've applied them to the F15/F16 branches.
Comment 3 Fedora Update System 2012-01-23 13:32:16 EST
kernel-3.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.1-3.fc16
Comment 4 Fedora Update System 2012-01-23 13:36:21 EST
kernel-2.6.41.10-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.10-3.fc15
Comment 5 Fedora Update System 2012-01-23 20:42:56 EST
Package kernel-2.6.41.10-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.41.10-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0861/kernel-2.6.41.10-3.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-01-24 02:56:45 EST
kernel-3.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-01-24 14:58:12 EST
kernel-2.6.41.10-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.